#
# Copyright (c) 2012 Bucknell University
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation;
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# Author: L. Felipe Perrone (perrone@bucknell.edu)
#
#!/usr/bin/perl

if ($#ARGV < 0) {
    die("Usage: avgAODV.pl [swan output file]");
}

$file = $ARGV[0];

($c, $d) = &processAODV($file);

print "AODV control=$c, AODV data=$d\n";

#--------------------------------------------------------------------

sub processAODV {

    # input: filename

    local($f) = $_[0]; 
    local($control) = 0;
    local($data) = 0;
    local($type);
    local($number);

    open(EXPFILE, "<$f") || die("Error: cannot open file $f.");

    while (<EXPFILE>) {
	
	if (/\s+aodv\s+number of\s+(.+)\s+([0-9]+)$/) {
	    $type = $1;
	    $number = $2;
	    if ($type =~ /data sent|data forwarded/) {
		$data += $number;
	    } elsif ($type =~ /rreq|rrep|rerr|hello/) {
		$control += $number;
	    }
	}	           
    }
    
    close(EXPFILE);

    return ($control, $data);
}

#--------------------------------------------------------------------
