from nevow import static
from zope.interface import implements

from nevow import inevow

from safe.webmanager.experiments import ExperimentsPage
from safe.webmanager.help import Help
from safe.webmanager.template import TemplatedPage, ITemplatedPage

class Home(TemplatedPage):
    implements(ITemplatedPage)

    addSlash = True

    def __init__(self, dbpool, app):
        """Initialize the root of the web application

        It seems as though there should be a way for the application (in
        webmanager.tac) to maintain the database connection, but it appears as
        if we have to pass it around to all of the different pages as we init
        them.  Until I learn better, this is how it is going to work.

        """

        super(TemplatedPage,self).__init__()
        self.dbpool = dbpool
        self.app = app

    def render_content(self, ctx, data):
        """Return the content to be placed in the global template."""

        return "Welcome to SAFE."

class FakeRoot(object):
    implements(inevow.IResource)

    def __init__(self, dbpool, app):
        self.dbpool = dbpool
        self.app = app

    def locateChild(self, ctx, segments):
        print segments
        if segments[0] == '':
            return Home(self.dbpool, self.app), segments
        elif segments[0] == 'experiments':
            return ExperimentsPage(self.dbpool, self.app), segments[1:]
        elif segments[0] == 'help':
            return Help(), []
        elif segments[0] == 'style.css':
            return static.File('webmanager/public/style.css'), []
        elif segments[0] == 'images':
            return static.File('webmanager/public/images/'), segments[1:]
        else:
            from safe.webmanager.errors import The404Page
            return The404Page(), segments
