#!/usr/bin/env python
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-
#
# Copyright (c) 2013 Bucknell University
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation;
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# Author: L. Felipe Perrone (perrone@bucknell.edu)
#

""" This command terminates a running user session with the SAFE server. It corresponds roughtly to the concept of logging out.
"""
    
def main():
    import argparse
    version = '0.1'
    copyright = '(c) Bucknell University 2013'
    epilog_str = copyright + ', version ' + version 
    parser = argparse.ArgumentParser(
        add_help=True,
        description='Terminates a user session with the SAFE server.',
        epilog=epilog_str)

    args = parser.parse_args()

    print ">>> disconnecting user from SAFE server"

    import os
    os.remove(os.path.abspath(os.path.join(os.path.expanduser('~'), '.safe_cfg')))

if __name__ == "__main__":
    main()
