from django.db import models


# Create your models here.

class Experiment(models.Model):
    name = models.CharField(max_length=100)
    description = models.CharField(max_length = 500)
    create_date = models.DateTimeField('date created')

    def __unicode__(self):
        return self.name

class Factor(models.Model):
    name = models.CharField(max_length=40)
    help = models.CharField(max_length = 500)
    experiment = models.ForeignKey(Experiment)
    data_types = (('int', 'Integer'), ('flt', 'Float'), ('bool', 'Boolean'),)
    data_type = models.CharField(max_length = 4, choices = data_types, default = 'int')

    def __unicode__(self):
        return self.name

class IntegerFactor(Factor):
    minimum = models.IntegerField()
    maximum = models.IntegerField()
    data_type = 'int'

class FloatFactor(Factor):
    minimum = models.FloatField()
    maximum = models.FloatField()
    data_type = 'flt'

class BooleanFactor(Factor):
    data_type = 'bool'

class Level(models.Model):
    source = models.ForeignKey(Factor)

class IntegerLevel(Level):
    value = models.IntegerField()

class FloatLevel(Level):
    value = models.FloatField()

class BooleanLevel(Level):
    value = models.BooleanField()
