/**
 * Functions for loading the experiments from the data base
 * in various ways
 */

safe.loader.experiments = {};
safe.loader.experiments.byUser = safe_loader_experiments_byUser;

/**
 * Retrieves all experiment ids associated with the specified user
 * Data is of the form [{"exp_id", <exp_id>}, ... ]
 *
 * @param userId The id of the user to which the experiments belong
 * @param callBack A function to be called after the data has been read "callBack(data)"
 */
function safe_loader_experiments_byUser(userId, callBack){
    d3.json("/safe/user/" + userId + "/experiments/", function(error, data){
        if(error){ console.warn(error) }

        callBack(data);
    });
}
