/**
 * Functions for loading the current status of an experiment
 * from the server
 */

safe.loader.status = {};
safe.loader.status.byExperiment = safe_loader_status_byExperiment;

/**
 * Retrieves the current status of an experiment from the data server 
 * Data is of the form {"replications":<replication_number>, "errors", <error_list>, 
 * "complete":<runs_complete>, "dpts":<number_of_designpoints>}
 *
 * @param experimentId The id of the experiment for which to search occur
 * @param callBack A function to be called after the data has been read. "callBack(data)"
 */
function safe_loader_status_byExperiment(experimentId, callBack){
    d3.json("/safe/exp/" + experimentId + "/status/", function(error, data){
        if(error){ console.warn(error) }

        callBack(data);
    });
}
