SelectionLevel = function(exp_id, changeCallBack, parentDomId){
    this.exp_id = exp_id;
    this.callBack = changeCallBack;
    this.dParent = d3.select("#" + parentDomId);
    this.eParent = document.getElementById(parentDomId);
    this.levelList = {};
}

SelectionLevel.prototype.readData = function(callBack){
    d3.json("/safe/exp/" + exp_id + "/levels/", function(error, data){
        if(error){ console.warn(error) }

        this.levelList = {};
        Object.keys(data).forEach(function(factor_id){ 
            this.levelList[factor_id] = data[factor_id].levels.sort(); 
        }.bind(this));

        if(callBack != undefined){ callBack() }
    });
}

SelectionLevel.prototype.initComponents = function(attributes){
    this.dSelect = this.dParent.selectAll(".selectLevel").data([""]).enter()
        .append("select")
        .attr(attributes)
        .attr("class", "selectLevel");
}

SelectionLevel.prototype.updateLevels(factor_id){
    levels = this.dSelect.selectAll("option").data(this.levelList[factor_id])
    levels.enter().append("option");
    levels.attr("level", function(d) { return d }).text(function(d) { return d });
    levels.exit().remove();
    this.eSelect.selectedIndex = 0;
}

SelectionLevel.prototype.selectChange = function(){
    console.log("Factor changed...");
    console.log(this);

    this.callBack(this.getSelectedLevel());
}

SelectionLevel.prototype.getSelectedLevel= function(){
    return this.eSelect.options[this.eSelect.selectedIndex].getAttribute("level");
}
