SelectionMetric = function(exp_id, changeCallBack, parentDomId){
    this.exp_id = exp_id;
    this.callBack = changeCallBack;
    this.dParent = d3.select("#" + parentDomId);
    this.eParent = document.getElementById(parentDomId);
    this.metricList = {};
}

SelectionMetric.prototype.readInitialData = function(callBack){
    d3.json("/safe/exp/" + this.exp_id + "/metrics/", function(error, data){
        if(error) { console.warn(error) }

        data.forEach(function(metric){
            this.metricList[metric.id] = metric;
        }.bind(this));
    });
}

SelectionMetric.prototype.initComponents = function(attributes){
    select_items = this.dParent.selectAll(".select_line").data(Object.keys(this.metricList)).enter()
        .append("div")
        .attr("class", "select_line")
        .attr("metric_id", function(d) { return this.metricList[d].id }.bind(this))
        .on("click", this.selectChange.bind(this));
        

    select_items.append("div")
        .attr("class", function(d) { return "select_square select_square_" + this.metricList[d].id }.bind(this))
        .attr("metric_id", function(d) { return this.metricList[d].id }.bind(this));

    select_items.append("div")
        .attr("class", "select_label")
        .attr("metric_id", function(d) {  return this.metricList[d].id }.bind(this))
        .text(function(d) { return this.metricList[d].name}.bind(this));

}

SelectionMetric.prototype.selectChange = function(){
    var metric_id = d3.event.toElement.getAttribute("metric_id"));
    this.callBack(metric_id);
}
