SelectionRun = function(exp_id, changeCallBack, parentDomId){
    this.exp_id = exp_id;
    this.callBack = changeCallBack;
    this.dParent = d3.select("#" + parentDomId);
    this.eParent = document.getElementById(parentDomId);
    this.runsByDesignPoint = {};
}

SelectionRun.prototype.readData = function(designPoint_id, callBack){
    d3.json("/safe/designpoint/" + designPoint_id + "/simruns/", function(error, data){
        if(error) { console.warn(error) }

        this.runsByDesignPoint[designPoint_id] = data;
    }.bind(this));
}

SelectionRun.prototype.initComponents = function(attributes){
    this.dSelect = this.dParent.selectAll(".selectRun").data([""]).enter()
        .append("select")
        .attr(attributes)
        .attr("class", "selectRun");
}

SelectionRun.prototype.updateRuns(designPoint_id){
    var update = function(){
        runs = this.dSelect.selectAll("option").data(this.runsByDesignPoint[designPoint_id]);
        runs.enter().append("option");
        runs.attr("run", function(d) { return d.simrun_id }).text(function(d) { return "Run " + d.simrun_id });
        runs.exit().remove();
    }.bind(this);
    
    if(this.runsByDesignPoint[designPoint_id] == undefined){
        this.readData(designPoint_id, update);
    }else{
        update();
    }
}

SelectionRun.prototype.selectChange = function(){
    this.callBack(this.getSelectedRun());
}

SelectionRun.prototype.getSelectedRun = function(){
    return this.eSelect.options[this.eSelect.selectedIndex].getAttribute("run");
}
